import request from '@/utils/request'

// 查询清朗专项行动动态列表
export function listQlzxxddt(query) {
  return request({
    url: '/tcZz/netManage/qlzxxddt/list',
    method: 'get',
    params: query
  })
}

// 查询清朗专项行动动态详细
export function getQlzxxddt(id) {
  return request({
    url: '/tcZz/netManage/qlzxxddt/' + id,
    method: 'get'
  })
}

// 新增清朗专项行动动态
export function addQlzxxddt(data) {
  return request({
    url: '/tcZz/netManage/qlzxxddt',
    method: 'post',
    data: data
  })
}

// 修改清朗专项行动动态
export function updateQlzxxddt(data) {
  return request({
    url: '/tcZz/netManage/qlzxxddt',
    method: 'put',
    data: data
  })
}

// 删除清朗专项行动动态
export function delQlzxxddt(id) {
  return request({
    url: '/tcZz/netManage/qlzxxddt/' + id,
    method: 'delete'
  })
}

// 清朗专项行动动态批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/qlzxxddt/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/qlzxxddt/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}